GOOGLE PLAY ERROR!!!

Discussion and feedback on Construct 2

Post » Tue Oct 07, 2014 11:09 am

Not sure if this is the right place to post this but i need some help. i had published my game to google play.
Now i have a moto e and when i tried the apk first on my phone, it works perfectly just as i want it to.
However, when i upload to G-Play , it says device not supported.
Can i fix this in any way?

Thanks A Lot for any reply :)

Ashwin
B
15
S
3
G
1
Posts: 111
Reputation: 1,664

Post » Tue Oct 07, 2014 11:20 am

What are you building it with? Cocoonjs, phonegap, crosswalk? I think some phones are blacklisted depending on what you use. I also think this can be changed. However, somebody else will have to tell you how to do that or you'll need to search the forums.
ImageImageImageImageImage
B
19
S
5
G
1
Posts: 614
Reputation: 2,542

Post » Tue Oct 07, 2014 11:22 am

I'm working with crosswalk. works perfectly. don't know why it was not downloadable :(
B
15
S
3
G
1
Posts: 111
Reputation: 1,664

Post » Tue Oct 07, 2014 9:54 pm

Google play uses The minimum version you set(in Crosswalk) as a way to block phones from downloading if they dont meet your requirements... What Android version does your phone use?
B
42
S
17
G
2
Posts: 850
Reputation: 6,209

Post » Tue Oct 07, 2014 11:10 pm

volkiller730 wrote:Google play uses The minimum version you set(in Crosswalk) as a way to block phones from downloading if they dont meet your requirements... What Android version does your phone use?


My thoughts too but I believe his/her phone is the 'moto e' which ships with Kit Kat (4.4) which should be supported by Crosswalks defaults - unless the OP changed the value.
B
15
S
2
Posts: 229
Reputation: 1,353

Post » Wed Oct 08, 2014 12:33 am

How do I change this?
B
15
S
3
G
1
Posts: 111
Reputation: 1,664

Post » Wed Oct 08, 2014 1:02 am

In the Xdk Project settings under build options there is a setting for minimum version set the to atleast 14


Also what version apk did you upload to google play? X86, arm or both? If just one upload the other you can have both at once and it will install the right one but if you just did x86 no arm Cpu devices (almost all) wont be supported
B
42
S
17
G
2
Posts: 850
Reputation: 6,209

Post » Wed Oct 08, 2014 9:07 am

@volkiller730 i uploaded both. As i told u, it works perfectly when installed externally!
B
15
S
3
G
1
Posts: 111
Reputation: 1,664

Post » Wed Oct 08, 2014 9:52 pm

I understand it works when installed externally ... When installed externally it doesnt do any of those checks thats why i asked.
Umm i cant really think of any more reasons it shouldnt work. If you can i would test and see if it works on another phone of thats same model.
And contact one of the intel guys to ask for help or post in the intel thread
B
42
S
17
G
2
Posts: 850
Reputation: 6,209


Return to Construct 2 General

Who is online

Users browsing this forum: No registered users and 6 guests